Bug 974890 - windows service install wrong
windows service install wrong
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Web Server 1
Classification: JBoss
Component: doc-Installation-Guide (Show other bugs)
1.0.2
Unspecified Unspecified
high Severity unspecified
: ---
: One-off release
Assigned To: Mandar Joshi
: Documentation
Depends On: 960185
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-16 23:28 EDT by Misha H. Ali
Modified: 2015-08-31 22:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 960185
Environment:
Last Closed: 2013-09-16 03:00:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Misha H. Ali 2013-06-16 23:30:35 EDT
This was accidentally reported for EWS 2.0 docs. It should be fixed as a one-off patch for 1.x.
Comment 2 Libor Fuka 2013-06-17 02:37:33 EDT
This is doc bug for EWS 1.0.2 and EWS 1.0.2 has different directory structure than 2.0.X
Comment 3 Misha H. Ali 2013-06-17 02:39:57 EDT
Thanks for clarifying that, libor. Mandar, please check with Jean-Frederic and see if he can provide instructions for 1.0.2 specifically before you apply any changes here.
Comment 6 Mandar Joshi 2013-06-20 07:08:17 EDT
Hi Jean-Frederic,

Can you provide me the instructions for 1.0.2 version?

======================================================
The EWS 1.0.2 installation guide contains the following information:

Procedure 4.6. Installing Tomcat

Follow this procedure to install Tomcat as a service:

Run the Command Prompt as administrator:

1. Click the Start button.

2. Go to All Programs → Accessories.

3. Right-click the Command Prompt and select Run as administrator.
        32-bit vs 64-bit Command Prompt
        On 64-bit Windows, you need to use the 64-bit version of the Command Prompt (cmd.exe). Running the cmd command from a 32-bit application launches a 32-bit Command Prompt instance. This causes the service setup script to fail with a File Not Found warning.

4. Change to the sbin folder in the JBoss Enterprise Web Server installation folder:
        C:\> cd /D "C:\Program Files\Red Hat\Enterprise Web Server\sbin"

5. In the Command Prompt, run the following command with the required Tomcat version (5 or 6) to install Tomcat:
        call service<VERSION>.bat install
        You can check the service parameters by typing tomcat<VERSION>w.exe.
Comment 8 Jean-frederic Clere 2013-08-12 06:27:53 EDT
In 5)
- call service<VERSION>.bat install OK
- You can check the service parameters by typing tomcat<VERSION>w.exe ~ OK

In fact the tomcat<VERSION>w.exe are in "C:\Program Files\Red Hat\Enterprise Web Server\bin" not in sbin. It might be a good idea to add something like
Note: tomcat<VERSION>w.exe are located in  "C:\Program Files\Red Hat\Enterprise Web Server\bin".
Comment 9 Misha H. Ali 2013-08-27 19:51:04 EDT
Mandar, please escalate the priority on this so we can push out the 1.0.2 patch.
Comment 11 Libor Fuka 2013-09-02 08:18:52 EDT
Verified comm 10
Comment 13 Misha H. Ali 2013-09-16 03:00:09 EDT
Now available on access.redhat.com.

Note You need to log in before you can comment on or make changes to this bug.